Reveal.initialize({
    controls: true,
    progress: true,
    history: true,
    center: true,
    width: '70%',
    margin: 0.0,

    transition: 'none', // none/fade/slide/convex/concave/zoom

    math: {
        mathjax: 'mathjax/MathJax.js',
        config: 'TeX-AMS-MML_HTMLorMML',  // See http://docs.mathjax.org/en/latest/config-files.html
    },
    // Optional reveal.js plugins
    dependencies: [

        {src: 'reveal.js/plugin/zoom-js/zoom.js', async: true},
        {src: 'reveal.js/plugin/notes/notes.js', async: true},
        {src: 'reveal.js/plugin/highlight/highlight.js', async: true},
        {src: 'reveal.js/plugin/math/math.js', async: true}
    ]
});

Reveal.addEventListener('slidechanged', function (event) {
    $.currHeaderId = '#__HEADER_' + event.currentSlide.getAttribute("id");
    $.previusHeaderId = '#__HEADER_' + event.previousSlide.getAttribute("id");

    $($.previusHeaderId).attr("style", "display:none;");
    $($.currHeaderId).attr("style", "display:block;");

    //$('#myShow').text($.previusHeaderId + ":" + $.currHeaderId);
});

Reveal.addEventListener('ready', function (event) {
    $.currHeaderId = '#__HEADER_' + event.currentSlide.getAttribute("id");
    $($.currHeaderId).attr("style", "display:block;");
    //$('#myShow').text($.currHeaderId);
});
